Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.security.pox
Class POXSecurityHandler

    java.lang.Object
      org.wso2.wsas.security.pox.POXSecurityHandler

All Implemented Interfaces:
  org.apache.axis2.engine.Handler

    public class POXSecurityHandler

extends java.lang.Object
implements org.apache.axis2.engine.Handler

Handler to convert the HTTP basic auth information into `wsse:UsernameToken`

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`org.apache.axis2.engine.Handler.InvocationResponse`

Constructor Summary
`POXSecurityHandler()`

Method Summary
`void` | `cleanup()`
`void` | `flowComplete(org.apache.axis2.context.MessageContext msgContext)`
`org.apache.axis2.description.HandlerDescription` | `getHandlerDesc()`
`java.lang.String` | `getName()`
`org.apache.axis2.description.Parameter` | `getParameter(java.lang.String name)`
`void` | `init(org.apache.axis2.description.HandlerDescription description)`
`org.apache.axis2.engine.Handler.InvocationResponse` | `invoke(org.apache.axis2.context.MessageContext msgCtx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POXSecurityHandler

    public POXSecurityHandler()

Method Detail

### cleanup

    public void cleanup()

  Specified by:
    `cleanup` in interface `org.apache.axis2.engine.Handler`
  See Also:
    `Handler.cleanup()`

### init

    public void init(org.apache.axis2.description.HandlerDescription description)

  Specified by:
    `init` in interface `org.apache.axis2.engine.Handler`
  See Also:
    `Handler.init(org.apache.axis2.description.HandlerDescription)`

### invoke

    public org.apache.axis2.engine.Handler.InvocationResponse invoke(org.apache.axis2.context.MessageContext msgCtx)
                                                              throws org.apache.axis2.AxisFault

  Specified by:
    `invoke` in interface `org.apache.axis2.engine.Handler`
  Throws:
    `org.apache.axis2.AxisFault`
  See Also:
    `Handler.invoke(org.apache.axis2.context.MessageContext)`

### flowComplete

    public void flowComplete(org.apache.axis2.context.MessageContext msgContext)

  Specified by:
    `flowComplete` in interface `org.apache.axis2.engine.Handler`

### getHandlerDesc

    public org.apache.axis2.description.HandlerDescription getHandlerDesc()

  Specified by:
    `getHandlerDesc` in interface `org.apache.axis2.engine.Handler`
  See Also:
    `Handler.getHandlerDesc()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.apache.axis2.engine.Handler`
  See Also:
    `Handler.getName()`

### getParameter

    public org.apache.axis2.description.Parameter getParameter(java.lang.String name)

  Specified by:
    `getParameter` in interface `org.apache.axis2.engine.Handler`
  See Also:
    `Handler.getParameter(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD